| Home | Libraries | People | FAQ | More

## Struct template as_param

boost::type_erasure::as_param — Metafunction that creates a param.

## Synopsis

    // In header: <boost/type_erasure/param.hpp>

    template<typename Any, typename T>
    struct as_param {
      // types
      typedef unspecified type;
    };

## Description

If `T` is a (cv/reference qualifed) placeholder, returns param<concept_of<Any>::type, T>, otherwise, returns T. This metafunction is intended to be used for function arguments in specializations of concept_interface.

See Also:

derived, rebind_any